Vaucanson 1.2 (March 20th, 2008)

From LRDE

Revision as of 16:38, 6 November 2014 by Bot (talk | contribs) (Fix vcsn urls)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)



The Vcsn library is free software. It is distributed under the conditions of the GNU General Public License (www.gnu.org) since release 0.7.1, and under the conditions of GNU Lesser General Public License for previous releases.

Downloads

Changes

  • The Vaucanson library
    • New graph data structure based on boost multi index: bmig.
    • It is now possible to choose between bmig and the old implementation which is now called listg.
  • Algorithms
    • Rename fmp_to_realtime() as fmt_to_rw().
    • Rename realtime_to_fmp() as rw_to_fmp().
    • Rename realtime_composition() as rw_composition().
  • TAF-Kit
    • Rename sum as union.
    • is_empty is now is_void.
    • New is_empty.
 More informations on updates are provided in the NEWS file of the package.

Requirements

C++ compiler
4.* or ICC 10
XML
The XML I/O system is based on the use of the Apache Xerces C++ library version 2.3.* (http://xml.apache.org/xerces-c/). (On Ubuntu/Debian, install the following packages: libxerces27 and libxerces27-dev)
Graphviz
The display of automata is made using AT&T Graphviz library. (On Ubuntu/Debian, install the following package: graphviz)
Boost
Boost provides free peer-reviewed portable C++ source libraries. (On Ubuntu/Debian, install the following packages: libboost-dev, libboost-serialization-dev, libboost-graph, libboost-graph-dev)
Ncurses
needed for building the TAF-KIT. (On Ubuntu and Debian: libncurses5, libncurses-dev).

Known Problems

Vaucanson is known not to work properly with Apple's G++ 4.0.0 on Tiger. Actually, it seems that it is G++ 4.0.0 which is known not to work properly: other library face similar issues. We don't know how to solve the problem, avoid it by specifying another compiler. For instance

./configure CC=gcc-4.1 CXX=g++-4.1

Vaucanswig is not working properly with this version.